Megosztás a következőn keresztül:


Managed Environment Private Link Resources - List

Privát kapcsolati erőforrások listázása egy adott felügyelt környezethez.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/managedEnvironments/{environmentName}/privateLinkResources?api-version=2026-01-01

URI-paraméterek

Name In Kötelező Típus Description
environmentName
path True

string

pattern: ^[-\w\._\(\)]+$

A felügyelt környezet neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

subscriptionId
path True

string

minLength: 1

A cél-előfizetés azonosítója.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Válaszok

Name Típus Description
200 OK

PrivateLinkResourceListResult

OKÉ

Other Status Codes

ErrorResponse

Hibaválasz.

Biztonság

azure_auth

Azure Active Directory OAuth2-folyamat

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Mintakérelem

GET https://management.azure.com/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/managedEnv/privateLinkResources?api-version=2026-01-01

Mintaválasz

{
  "value": [
    {
      "id": "/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/managedEnv/privateLinkResources/managedEnvironments",
      "name": "managedEnvironments",
      "properties": {
        "groupId": "managedEnvironments",
        "requiredMembers": [
          "managedEnvironments"
        ],
        "requiredZoneNames": [
          "privatelink.northcentralusstage.azurecontainerapps.io"
        ]
      },
      "type": "Microsoft.App/managedEnvironments/privateLinkResources"
    }
  ]
}

Definíciók

Name Description
createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

PrivateLinkResource

Privát kapcsolati erőforrás

PrivateLinkResourceListResult

A privát kapcsolat erőforrásainak listája

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hiba célpontja.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

PrivateLinkResource

Privát kapcsolati erőforrás

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Az erőforrás neve

properties.groupId

string

A privát kapcsolat erőforráscsoport-azonosítója.

properties.requiredMembers

string[]

A privát kapcsolat erőforrásának tagneveket kellett megadnia.

properties.requiredZoneNames

string[]

A privát kapcsolatú erőforrás privát kapcsolat DNS-zónaneve.

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

PrivateLinkResourceListResult

A privát kapcsolat erőforrásainak listája

Name Típus Description
nextLink

string (uri)

URL-cím a következő műveletlista eredményeinek lekéréséhez (ha vannak ilyenek).

value

PrivateLinkResource[]

Privát kapcsolati erőforrások tömbje

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.